Subject: Re: gitweb: false base href sent when integrated via reverse proxy and path_info is active

From: Jakub Narebski <[email-masked]>
Date: Tue, 30 Nov 2010 19:22:09 +0100

On Sun, 28 Nov 2010, Jonathan Nieder wrote:
> Jakub Narebski wrote:
> 
> > See also gitweb/README, the "Gitweb config file variables" section:
> > 
> >  * $base_url
> >    Base URL for relative URLs in pages generated by gitweb,
> >    (e.g. $logo, $favicon, @stylesheets if they are relative URLs),
> >    needed and used only for URLs with nonempty PATH_INFO via
> >    <base href="$base_url">.  Usually gitweb sets its value correctly,
> >                              ^^^^^^^
> >    and there is no need to set this variable, e.g. to $my_uri or "/".
> > 
> > The key word here is "usually" ;-)
> 
> Thanks, all.  That helps.
> 
> No time for it at the moment, but I'm taking this as evidence that
> we need a gitweb.conf(5) manual page. :)  Would you be interested
> in such a thing (as POD or asciidoc)?

Well, both git-gui and gitk have their documentation in Documentation/
(in AsciiDoc format), so perhaps it is time to add Documentation/gitweb.txt
and possibly also Documentation/gitweb_config.txt (or gitweb.conf.txt).

With exception of t/README, the gitweb/README file is largest, with around
570 lines, while next largest is (discarding also git-gui/po/README) main
README file with around 50 lines.
-- 
Jakub Narebski
Poland